Skip to content

Get closures​

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/closures

Get all closures of an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"accountUuid": "string",
  
  
  
"employeeUuid": "string",
  
  
  
"closureDate": "string",
  
  
  
"holidays": 0,
  
  
  
"holidayCorrection": 0,
  
  
  
"flextime": 0,
  
  
  
"timeCorrection": 0,
  
  
  
"shortWork": 0,
  
  
  
"deleteable": true,
  
  
  
"deletable": true
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Add closure​

POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/closures

Add a closure for an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"closureDate": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": "string",
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Delete closure​

DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/closures/{closureUuid}

Delete a closure for an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"
closureUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Get last closure date​

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/closures/last-closure-date

Get the date of the last closure of an employee

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"timeTrackingStart": "string",
  
  
"lastClosureDate": "string"
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​